import { scaleSqrt, max } from 'd3';
import { Marks } from './Marks';

export const BubbleMap = ({ worldAtlas, data }) => {
  const sizeValue = (d) => d['Total Dead and Missing'];

  const sizeScale = scaleSqrt()
    .domain([0, max(data, sizeValue)])
    .range([0, 15]);
  return (
    <Marks
      worldAtlas={worldAtlas}
      data={data}
      sizeScale={sizeScale}
      sizeValue={sizeValue}
    />
  );
};
